サイトトップまとめドキュメント娯楽openBVE ≫ openBVEにおける車両プラグインについて

openBVEにおける車両プラグインについて

本家のBVE Trainsimのバージョン4系から保安装置がプラグインとして作成できるようになっているが、これはBVE Trainsimの仕様でWin32のDLLとなっているため、openBVEはこのプラグインそのものは扱えるものの、Win32上もしくは32bitのWineでWin32の依存パッケージを用いて動かさないと正しく動作しない(GNU/Linux版のMonoでは路線/車両読み込み後にメッセージ[57]が出る)。

バージョン1.2.10.0以上のopenBVEでは(このバージョン以上の)openBVE専用のMono/.NETアセンブリ形式の車両プラグインをサポートしており、openBVEが動作する全てのOSで動作する。



[57] Train plugins are not supported on operating systems other than Windows. The built-in safety systems will be used for this train, which might not be compatible with the route.